<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:19 PST 2021 -->
<title>ParseStatus (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ParseStatus (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":9,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ParseStatus.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/parse/ParseSegment.ParseSegmentReducer.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/parse/ParseText.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/parse/ParseStatus.html" target="_top">Frames</a></li>
<li><a href="ParseStatus.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.parse</div>
<h2 title="Class ParseStatus" class="title">Class ParseStatus</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.parse.ParseStatus</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ParseStatus</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a></pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Andrzej Bialecki &lt;ab@getopt.org&gt;</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#FAILED">FAILED</a></span></code>
<div class="block">General failure.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#FAILED_EXCEPTION">FAILED_EXCEPTION</a></span></code>
<div class="block">Parsing failed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#FAILED_INVALID_FORMAT">FAILED_INVALID_FORMAT</a></span></code>
<div class="block">Parsing failed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#FAILED_MISSING_CONTENT">FAILED_MISSING_CONTENT</a></span></code>
<div class="block">Parsing failed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#FAILED_MISSING_PARTS">FAILED_MISSING_PARTS</a></span></code>
<div class="block">Parsing failed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#FAILED_TRUNCATED">FAILED_TRUNCATED</a></span></code>
<div class="block">Parsing failed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#majorCodes">majorCodes</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#NOTPARSED">NOTPARSED</a></span></code>
<div class="block">Parsing was not performed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../org/apache/nutch/parse/ParseStatus.html" title="class in org.apache.nutch.parse">ParseStatus</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#STATUS_FAILURE">STATUS_FAILURE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../org/apache/nutch/parse/ParseStatus.html" title="class in org.apache.nutch.parse">ParseStatus</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#STATUS_NOTPARSED">STATUS_NOTPARSED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../org/apache/nutch/parse/ParseStatus.html" title="class in org.apache.nutch.parse">ParseStatus</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#STATUS_SUCCESS">STATUS_SUCCESS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#SUCCESS">SUCCESS</a></span></code>
<div class="block">Parsing succeeded.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#SUCCESS_REDIRECT">SUCCESS_REDIRECT</a></span></code>
<div class="block">Parsed content contains a directive to redirect to another URL.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#ParseStatus--">ParseStatus</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#ParseStatus-int-">ParseStatus</a></span>(int&nbsp;majorCode)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#ParseStatus-int-int-">ParseStatus</a></span>(int&nbsp;majorCode,
           int&nbsp;minorCode)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#ParseStatus-int-int-java.lang.String-">ParseStatus</a></span>(int&nbsp;majorCode,
           int&nbsp;minorCode,
           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</code>
<div class="block">Simplified constructor for passing just a text message.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#ParseStatus-int-int-java.lang.String:A-">ParseStatus</a></span>(int&nbsp;majorCode,
           int&nbsp;minorCode,
           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#ParseStatus-int-java.lang.String-">ParseStatus</a></span>(int&nbsp;majorCode,
           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</code>
<div class="block">Simplified constructor for passing just a text message.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#ParseStatus-int-java.lang.String:A-">ParseStatus</a></span>(int&nbsp;majorCode,
           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#ParseStatus-java.lang.Throwable-">ParseStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&nbsp;t)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#equals-java.lang.Object-">equals</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#getArgs--">getArgs</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#getEmptyParse-org.apache.hadoop.conf.Configuration-">getEmptyParse</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</code>
<div class="block">A convenience method.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#getEmptyParseResult-java.lang.String-org.apache.hadoop.conf.Configuration-">getEmptyParseResult</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url,
                   <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</code>
<div class="block">A convenience method.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#getMajorCode--">getMajorCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#getMessage--">getMessage</a></span>()</code>
<div class="block">A convenience method.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#getMinorCode--">getMinorCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#getVersion--">getVersion</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#isSuccess--">isSuccess</a></span>()</code>
<div class="block">A convenience method.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../org/apache/nutch/parse/ParseStatus.html" title="class in org.apache.nutch.parse">ParseStatus</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#read-java.io.DataInput-">read</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataInput.html?is-external=true" title="class or interface in java.io">DataInput</a>&nbsp;in)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#readFields-java.io.DataInput-">readFields</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataInput.html?is-external=true" title="class or interface in java.io">DataInput</a>&nbsp;in)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#setArgs-java.lang.String:A-">setArgs</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#setMajorCode-byte-">setMajorCode</a></span>(byte&nbsp;majorCode)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#setMessage-java.lang.String-">setMessage</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;msg)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#setMinorCode-short-">setMinorCode</a></span>(short&nbsp;minorCode)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/parse/ParseStatus.html#write-java.io.DataOutput-">write</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataOutput.html?is-external=true" title="class or interface in java.io">DataOutput</a>&nbsp;out)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="NOTPARSED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOTPARSED</h4>
<pre>public static final&nbsp;byte NOTPARSED</pre>
<div class="block">Parsing was not performed.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.parse.ParseStatus.NOTPARSED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SUCCESS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SUCCESS</h4>
<pre>public static final&nbsp;byte SUCCESS</pre>
<div class="block">Parsing succeeded.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.parse.ParseStatus.SUCCESS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FAILED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAILED</h4>
<pre>public static final&nbsp;byte FAILED</pre>
<div class="block">General failure. There may be a more specific error message in arguments.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.parse.ParseStatus.FAILED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="majorCodes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>majorCodes</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[] majorCodes</pre>
</li>
</ul>
<a name="SUCCESS_REDIRECT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SUCCESS_REDIRECT</h4>
<pre>public static final&nbsp;short SUCCESS_REDIRECT</pre>
<div class="block">Parsed content contains a directive to redirect to another URL. The target
 URL can be retrieved from the arguments.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.parse.ParseStatus.SUCCESS_REDIRECT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FAILED_EXCEPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAILED_EXCEPTION</h4>
<pre>public static final&nbsp;short FAILED_EXCEPTION</pre>
<div class="block">Parsing failed. An Exception occured (which may be retrieved from the
 arguments).</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.parse.ParseStatus.FAILED_EXCEPTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FAILED_TRUNCATED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAILED_TRUNCATED</h4>
<pre>public static final&nbsp;short FAILED_TRUNCATED</pre>
<div class="block">Parsing failed. Content was truncated, but the parser cannot handle
 incomplete content.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.parse.ParseStatus.FAILED_TRUNCATED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FAILED_INVALID_FORMAT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAILED_INVALID_FORMAT</h4>
<pre>public static final&nbsp;short FAILED_INVALID_FORMAT</pre>
<div class="block">Parsing failed. Invalid format - the content may be corrupted or of wrong
 type.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.parse.ParseStatus.FAILED_INVALID_FORMAT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FAILED_MISSING_PARTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAILED_MISSING_PARTS</h4>
<pre>public static final&nbsp;short FAILED_MISSING_PARTS</pre>
<div class="block">Parsing failed. Other related parts of the content are needed to complete
 parsing. The list of URLs to missing parts may be provided in arguments.
 The Fetcher may decide to fetch these parts at once, then put them into
 Content.metadata, and supply them for re-parsing.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.parse.ParseStatus.FAILED_MISSING_PARTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FAILED_MISSING_CONTENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAILED_MISSING_CONTENT</h4>
<pre>public static final&nbsp;short FAILED_MISSING_CONTENT</pre>
<div class="block">Parsing failed. There was no content to be parsed - probably caused by
 errors at protocol stage.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.parse.ParseStatus.FAILED_MISSING_CONTENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_NOTPARSED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_NOTPARSED</h4>
<pre>public static final&nbsp;<a href="../../../../org/apache/nutch/parse/ParseStatus.html" title="class in org.apache.nutch.parse">ParseStatus</a> STATUS_NOTPARSED</pre>
</li>
</ul>
<a name="STATUS_SUCCESS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_SUCCESS</h4>
<pre>public static final&nbsp;<a href="../../../../org/apache/nutch/parse/ParseStatus.html" title="class in org.apache.nutch.parse">ParseStatus</a> STATUS_SUCCESS</pre>
</li>
</ul>
<a name="STATUS_FAILURE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>STATUS_FAILURE</h4>
<pre>public static final&nbsp;<a href="../../../../org/apache/nutch/parse/ParseStatus.html" title="class in org.apache.nutch.parse">ParseStatus</a> STATUS_FAILURE</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ParseStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ParseStatus</h4>
<pre>public&nbsp;ParseStatus()</pre>
</li>
</ul>
<a name="ParseStatus-int-int-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ParseStatus</h4>
<pre>public&nbsp;ParseStatus(int&nbsp;majorCode,
                   int&nbsp;minorCode,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)</pre>
</li>
</ul>
<a name="ParseStatus-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ParseStatus</h4>
<pre>public&nbsp;ParseStatus(int&nbsp;majorCode)</pre>
</li>
</ul>
<a name="ParseStatus-int-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ParseStatus</h4>
<pre>public&nbsp;ParseStatus(int&nbsp;majorCode,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)</pre>
</li>
</ul>
<a name="ParseStatus-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ParseStatus</h4>
<pre>public&nbsp;ParseStatus(int&nbsp;majorCode,
                   int&nbsp;minorCode)</pre>
</li>
</ul>
<a name="ParseStatus-int-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ParseStatus</h4>
<pre>public&nbsp;ParseStatus(int&nbsp;majorCode,
                   int&nbsp;minorCode,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</pre>
<div class="block">Simplified constructor for passing just a text message.</div>
</li>
</ul>
<a name="ParseStatus-int-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ParseStatus</h4>
<pre>public&nbsp;ParseStatus(int&nbsp;majorCode,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</pre>
<div class="block">Simplified constructor for passing just a text message.</div>
</li>
</ul>
<a name="ParseStatus-java.lang.Throwable-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ParseStatus</h4>
<pre>public&nbsp;ParseStatus(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&nbsp;t)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVersion</h4>
<pre>public&nbsp;byte&nbsp;getVersion()</pre>
</li>
</ul>
<a name="read-java.io.DataInput-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>read</h4>
<pre>public static&nbsp;<a href="../../../../org/apache/nutch/parse/ParseStatus.html" title="class in org.apache.nutch.parse">ParseStatus</a>&nbsp;read(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataInput.html?is-external=true" title="class or interface in java.io">DataInput</a>&nbsp;in)
                        throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="readFields-java.io.DataInput-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readFields</h4>
<pre>public&nbsp;void&nbsp;readFields(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataInput.html?is-external=true" title="class or interface in java.io">DataInput</a>&nbsp;in)
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true#readFields-java.io.DataInput-" title="class or interface in org.apache.hadoop.io">readFields</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="write-java.io.DataOutput-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>write</h4>
<pre>public&nbsp;void&nbsp;write(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/DataOutput.html?is-external=true" title="class or interface in java.io">DataOutput</a>&nbsp;out)
           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true#write-java.io.DataOutput-" title="class or interface in org.apache.hadoop.io">write</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="isSuccess--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSuccess</h4>
<pre>public&nbsp;boolean&nbsp;isSuccess()</pre>
<div class="block">A convenience method. Returns true if majorCode is SUCCESS, false
 otherwise.</div>
</li>
</ul>
<a name="getMessage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMessage</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMessage()</pre>
<div class="block">A convenience method. Return a String representation of the first argument,
 or null.</div>
</li>
</ul>
<a name="getArgs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgs</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;getArgs()</pre>
</li>
</ul>
<a name="getMajorCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMajorCode</h4>
<pre>public&nbsp;int&nbsp;getMajorCode()</pre>
</li>
</ul>
<a name="getMinorCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinorCode</h4>
<pre>public&nbsp;int&nbsp;getMinorCode()</pre>
</li>
</ul>
<a name="getEmptyParse-org.apache.hadoop.conf.Configuration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEmptyParse</h4>
<pre>public&nbsp;<a href="../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;getEmptyParse(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</pre>
<div class="block">A convenience method. Creates an empty Parse instance, which returns this
 status.</div>
</li>
</ul>
<a name="getEmptyParseResult-java.lang.String-org.apache.hadoop.conf.Configuration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEmptyParseResult</h4>
<pre>public&nbsp;<a href="../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;getEmptyParseResult(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url,
                                       <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</pre>
<div class="block">A convenience method. Creates an empty ParseResult, which contains this
 status.</div>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="setArgs-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArgs</h4>
<pre>public&nbsp;void&nbsp;setArgs(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)</pre>
</li>
</ul>
<a name="setMessage-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMessage</h4>
<pre>public&nbsp;void&nbsp;setMessage(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;msg)</pre>
</li>
</ul>
<a name="setMajorCode-byte-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMajorCode</h4>
<pre>public&nbsp;void&nbsp;setMajorCode(byte&nbsp;majorCode)</pre>
</li>
</ul>
<a name="setMinorCode-short-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMinorCode</h4>
<pre>public&nbsp;void&nbsp;setMinorCode(short&nbsp;minorCode)</pre>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ParseStatus.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/parse/ParseSegment.ParseSegmentReducer.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/parse/ParseText.html" title="class in org.apache.nutch.parse"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/parse/ParseStatus.html" target="_top">Frames</a></li>
<li><a href="ParseStatus.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
